# APR & APY Calculation

All vaults have performance indices, which are started from 1.00 and calculated against deposit tokens (sUSD for Put Selling and sETH for Covered Call), and shares are issued against the index.

#### Total Projected Yield (APY)

Calculated by getting the average of the past 4 week's annualised performance. Average of past four weeks weekly yield (in the money weeks are excluded)

Let $$w\_1,w\_2,w\_3,w\_4$$ be the 4 weeks in chronological order.

Let final tokenPrice at end of week $$w\_i$$ as $$f\_i$$ and start price as $$s\_i$$

$$
g\_i = \frac{(f\_i - s\_i)}{s\_i}
$$

$$
\texttt{yield} = (\prod\limits\_{i} (1+g\_i))
$$

$$
\texttt{APY}= (1 + \texttt{yield})^{\texttt{NumWeeks/4}} - 1
$$

Where $$\texttt{NumWeeks} = 52.1429$$, number of weeks in year.

**This Weeks's Projected Yield (APY)**

It is expected annualised performance for current week if options expire out of money.&#x20;

It is calculated as

$$
\texttt{yield} = \frac{\texttt{totalPremiumCollected}}{\texttt{totalFunds}} -1
$$

$$
\texttt{APY}= (1 + \texttt{yield})^{\texttt{NumWeeks}} - 1
$$

**Last Week Yield (APY)**

It is annualised performance based on last week. Let tokenPrice on last to last friday be $$f\_1$$ and tokenPrice on last friday be $$f\_2$$.&#x20;

$$
\texttt{yield} = \frac{f\_2 - f\_1}{f\_1} - 1
$$

$$
\texttt{APY}= (1 + \texttt{yield})^{\texttt{NumWeeks}} - 1
$$

#### Historic Yield (APY)

Annualised average yield from inception (in the money weeks are included).

{% embed url="<https://hackmd.io/@mubaris/Polynomial-V2-Vaults-Calculation>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.earn.polynomial.fi/technical-implementation/apr-and-apy-calculation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
